Bug 124040 - Errors, typos and outdated parts in the French documentation displayed while installing Fedora Core 2
Errors, typos and outdated parts in the French documentation displayed while ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda-help (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Audrey Simons
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-23 00:23 EDT by Eddahbi Karim
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-30 15:51:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eddahbi Karim 2004-05-23 00:23:19 EDT
Description of problem:

Hiya,

There's some typos or errors in the French documentation displayed
by Anaconda while installing Fedora Core 2.

I'm trying to spot and correct them.

If someone want to help, here is the process to get the documentation
 displayed with Anaconda when installing Fedora Core 2.

There's two ways to get the documentation :

1) Officially :
Mount the first ISO or the first CD of Fedora Core 2.
To mount an iso, you can do :

# mount -o loop File.iso /mount/point

When you're in the CD/Iso filesystem, go to Fedora/base and mount the
stage2.img (You should have the cramfs support to do so).

To mount a cramfs image, you can do :

# mount -o loop stage2.img /another/mount/point

Then, go where stage2.img is mounted and continue into
usr/share/anaconda/Help.

You'll see a set of directories which represents the locales which can
be set while installing Fedora Core 2.
In each locale directory, there's the documentation corresponding to
the locale.

So, if you want to view the French documentation, go into the
directory named 'fr'.
If you want the english documentation, go into the directory named
'C', which represents the default locale and by default the
documentation is in english.

2) You can get the documentation from an unofficial tarball that I made.
Here is the link :
http://thetemplar.free.fr/Help.tar.bz2
And there the MD5Sum :
501719d828eca9d9bae54cd93000350c  Help.tar.bz2

Now you know how to help, so let's go into the "debugging" process :).

In the file s1-help-screens-partition.html :

The sentence "Sous la représentationn graphique" has a typo.
It has to replaced by : "Sous la représentation graphique"

The sentence : "New: Utiliser ce bouton pour créer une nouvelle
partiton." is wrong.
The button is named "Nouveau" in french plus "partiton" has to
be replaced by "partition"

A correction would be : "Nouveau: Utiliser ce bouton pour créer une
nouvelle partition"

The sentence : "Modifier : Utilisez ce bouton pour modifier le point de
montage de la partition sélectionnée." is wrong.
The button is named "Éditer" in french.

A correction would be : "Éditer : Utilisez ce bouton pour modifier le
point de montage de la partition sélectionnée."
Another one could be : "Éditer : Utilisez ce bouton pour modifier les
propriétés d'une partition comme son point de montage, son système de
fichier, sa taille.
Attention, la modification du système de fichier impliquera un formatage
de la partition. Toute les données sur la partition seront perdus si un
formatage est effectué"

In the file s1-help-screens-partition-ia64.html :

See s1-help-screens-partition.html.

In the file s1-help-screens-aboutupgrade.html :

The sentence : "puis appuyez sur le bouton de Réinitialisation ou
utilisez les touches Ctrl-Alt-Suppr." could be not understood by some
people. "Réinitialisation" isn't really used in french IMO.
A correction would be : "puis appuyez sur le bouton de Réinitialisation
(Reset) ou utilisez les touches Ctrl-Alt-Suppr."

In the file s1-help-screens-advbootloader.html :

The sentence : "Si vous utilisez Windows NT (et voulez installer un
chargeur de démarrage) vous devez installer LILO sur le premier secteur
de la partition de démarrage." is wrong if I read the english
documentation.
A correction would be : "Si vous utilisez Windows NT (et voulez
installer un chargeur de démarrage) vous devez installer le chargeur de
démarrage sur le premier secteur de la partition de démarrage."
But it sounds a bit repetitive.
Another correction could be "Si vous utilisez Windows NT et voulez
installer un chargeur de démarrage, vous devez installer ce dernier sur
le premier secteur de la partition de démarrage."

By the way, the sentences "
Select Force LBA32 if you have experienced problems with the system
using LBA32 support during previous installations; for example, the
system may need to exceed the 1024 cylinder limit for the /boot
partition. Only if you have a system which supports the LBA32 extension
for booting operating systems above the 1024 cylinder limit, and you
want to place your /boot partition above cylinder 1024, should you
select this option. If you are unsure, do not select the Force LBA32
option.

If you wish to add default options to the boot command, enter them into
the General kernel parameters field. Any options you enter will be
passed to the Linux kernel every time it boots. " aren't translated.

I'll try to find a correct translation for these sentences and I'll
have more time.

In the file s1-help-screens-autopart.html :

In the sentence : "Pour supprimer toutes les partitions de votre (ou de
vos) disque(s) dur(s) - ceci inclut les partitions créées par d'autres
systèmes d'exploitation tels que Windows 95/98/NT/2000),
sélectionnezSupprimer toutes les partitions du système." there's an
unmatched parenthesis and a missing space.

A correction would be : "Pour supprimer toutes les partitions de votre
(ou de vos) disque(s) dur(s) -- ceci inclut les partitions créées par
d'autres systèmes d'exploitation tels que Windows 95/98/NT/2000 --
sélectionnez Supprimer toutes les partitions du système."

In the file s1-help-screens-workstation-pkgs.html :

In the sentence : "Sélectionnez Accepter la liste de paquetages actuelle
pourpoursuivre" there's a small typo.

A correction would be : "Sélectionnez Accepter la liste de paquetages
actuelle pour poursuivre"

In the file s1-help-screens-fdasd-s390.html :

The sentence : "Si vous ne voulez pas utiliser fdasd, cliquez
surPrécédent pour retourner à l'écran précédent, désélectionnezUtiliser
fdasd et cliquez sur Suivant pour continuer." has two typos.

A correction would be : "Si vous ne voulez pas utiliser fdasd, cliquez
sur Précédent pour retourner à l'écran précédent, désélectionnez
Utiliser fdasd et cliquez sur Suivant pour continuer."

In the file s1-help-screens-instpath-ent.html :

The sentence : "Pour obtenir de plus amples insformations" has a small
typo.

A correction would be : "Pour obtenir de plus amples informations"

In the file s1-help-screens-instpath-ia64.html :

See s1-help-screens-instpath-ent.html.

In the file s1-help-screens-instpath-s390.html :

See s1-help-screens-instpath-ent.html.

In the file s1-help-screens-instpath.html :

See s1-help-screens-instpath-ent.html.

In the file s1-help-screens-kybd.html :

The sentence : "Choisissez le clavier que vous voulez utiliser (par
exemple U.S. English)." is wrong.
I translate this sentence in english, it would give something like :
"Choose the keyboard you want to use (for example, U.S. English)"

A correction could be : "Choisissez l'agencement du clavier que vous
souhaitez utiliser (par exemple U.S. English)"
I think that U.S. English should be replaced by "French" (I don't
remember if the option to select a French layout is called French
by the way so "U.S. English" should be replaced by the name of the
option which selects a French layout [AZERTY] ;-) )

In the file s1-help-screens-mouse.html :

The sentence : "Utilisez-vous une souris PS/2, bus ou série ? (Conseil :
si le connecteur auquel votre souris est branchée est rond, vous
utilisez une souris PS/2 ou bus ; s'il est rectangulaire, il s'agit
d'une souris série.)" is now wrong.
It doesn't reflect the English documentation.

A correction would be "Utilisez-vous une souris PS/2, USB, bus ou série
? (Conseil : si le connecteur auquel votre souris est branchée est rond,
vous utilisez une souris PS/2 ou bus ; s'il est rectangulaire, c'est une
souris USB, si il est en forme de trapèze, il s'agit d'une souris
série.)"

I think that the sentence "Conseil : Si vous utilisez une souris à
déroulement" should be replaced by "Conseil : Si vous utilisez une
souris à déroulement alias souris à molette" because a lot of vendors in
France use the name "souris à molette".

In the file s1-help-screens-netconf.html :

The sentence : "Lors de l'écran "Éditer Interface", vous avez le choix
entre configurer votre interface réseau à l'aide d'un serveur DHCP ou
régler manuellement vos paramètres IP." is hard to read.

Someone thinks that it could be replaced by this translation :

"Lors de l'écran "Éditer Interface", vous avez le choix entre configurer
votre interface réseau à l'aide d'un serveur DHCP ou régler manuellement
vos paramètres IP."

The sentence : "Les périphériques de votre système seront détectés
automatiquementpar le programme d'installation. Ils seront affichés dans
la liste Périphériques de réseau." contains a typo and an error.

The typo is : "automatiquementpar" and should be replaced by
"automatiquement par".
The error is that this sentence tells the user : "Your hardware will be
detected and displayed in the "Périphériques de réseau" section. Thus
your Graphic Card, your USB devices will be displayed in the
"Périphériques de réseau" section.

A correction would be :
"Les périphériques réseaux de votre système seront détectés
automatiquement par le programme d'installation. Ils seront affichés
dans la liste Périphériques de réseau."

The sentence :
"Si vous n'avez pas un accès client DHCP ou si vous n'êtes pas sûr de ce
à quoi cette information correspond" can be rewritten to make it more
clear.

A correction would be :
"Si vous n'avez pas un accès client DHCP ou si vous ne savez à quoi
correspond cette information"

In the file s1-help-screens-pdesktop-pkgs.html :

The sentence : "Une installation personnalisée choisira
automatiquementles groupes de paquetages à installer sur le système."
contains a typo.

A correction would be :
"Une installation personnalisée choisira automatiquement les groupes de
paquetages à installer sur le système."

The sentence : "Sélectionnez Accepter la liste de paquetages actuelle 
pourpoursuivre l'installation" contains a typo

A correction would be :
"Sélectionnez Accepter la liste de paquetages actuelle  pour poursuivre
l'installation"

In the file 1-help-screens-securitylevel.html :

The sentence : "Par défaut, seules les connexions répondant à des
requêtes sortantes, telles que des réponses DNS ou des requêtes DEHCP,
sont autorisées." contains a typo.

A correction would be :
"Par défaut, seules les connexions répondant à des requêtes sortantes,
telles que des réponses DNS ou des requêtes DHCP, sont autorisées."

The sentence : "Si vous connectez votre système à à l'Internet" contains
a typo (Again !?)

A correction would ... zzzZZzz ... *Spock!* err, would be :
"Si vous connectez votre système à l'Internet"

The sentence : "Sélectionnez ensuite les services spécifiques, le cas
échant, devant être autorisé à traverser le pare-feu." contains a
grammatical error.
"autorisé" should end with a 's' because it's related to "les services
spécifiques" which is plural.

A correction would be :
"Sélectionnez ensuite les services spécifiques, le cas échant, devant
être autorisés à traverser le pare-feu."

The sentence : "Si vous ne souhaitez pas autoriser l'accès Telnet
entrant, vous devez installer le paquetage telnet-server." is not
logical.
If I won't allow any incoming telnet request, why should I install
telnet-server ? :-)

A correction would be :
"Si vous souhaitez autoriser l'accès Telnet entrant, vous devez
installer le paquetage telnet-server."

The sentence : "Pas de pare-feu permet un accès complet à votre système
et n'effectue aucun contrôle de sécurité. Ce dernier permet de
désactiver l'accès à certains services." sounds like "No firewall will
disable the access of some services"

I think that it could be remplaced by this :
"Pas de pare-feu permet un accès complet à votre système et n'effectue
aucun contrôle de sécurité. Le contrôle de sécurité permet de désactiver
l'accès à certains services depuis l'extérieur."
It should be reviewed.

The sentence : "Courrier (SMTP) — Si vous souhaitez autoriser la
livraison le courrier entrant à travers votre pare-feu, afin que des
hôtes distants puissent se connecter directement à votre ordinateur pour
livrer du courrier, activez cette fonction." should be modified
because it's really hard to understand this sentence.
Unfortunately, I don't really understand how work the mail protocol so
I can't help for this sentence.

In the file s1-help-screens-sel-group.html :

The sentence "cliquezsur Détails pour afficher les paquetages à
installer par défaut ou pour ajouter ou supprimer les paquetages
optionnels de ce groupe." contains a typo.
"cliquezsur" must be replaced by "cliquez sur".

A correction would be :
"cliquez sur Détails pour afficher les paquetages à installer par
défaut ou pour ajouter ou supprimer les paquetages optionnels de ce
groupe."
Another one could be :
"cliquez sur Détails pour afficher les paquetages à installer par
défaut ou pour ajouter/supprimer les paquetages optionnels de ce groupe."
It sounds less repetitive.

In the file s1-help-screens-silo.html :

The sentence : "Ne pas installer SILO : vous pouvezéviter d'installer
SILO si vous ne voulez pas le copier sur votre disque." contains a typo.

A correction would be : "Ne pas installer SILO : vous pouvez éviter
d'installer SILO si vous ne voulez pas le copier sur votre disque."

In the file s1-help-screens-usefdasd-s390.html :

See s1-help-screens-fdasd-s390.html.

In the file s1-help-screens-wel-ent.html :

See s1-help-screens-aboutupgrade.html.

In the sentence "Vous pouvez annuler l'installation à tout moment
avant l'apparaition de l'écran Sur le point d'installer." there's a typo.

A correction would be :
"Vous pouvez annuler l'installation à tout moment avant l'apparition
de l'écran Sur le point d'installer."

In the file s1-help-screens-wel.html :

See s1-help-screens-wel-ent.html.

I hope that it will help.
I'll try to look more deeper into the documentation when I'll have
some time :)

Version-Release number of selected component (if applicable):
Version of Anaconda used with Fedora Core 2

How reproducible:
Always

Steps to Reproduce:
1. Launch the Fedora Core 2 installation, select the language "French"
and look at the documentation while installing

Or...
2. mount the stage2.img and look at the documentation in the 'fr' section.

Or...

3. Use the unofficial tarball and look at the documentation if the
'fr' section.
  
Actual results:
Some basic errors, typos and grammatical errors.

Expected results:
No errors, no typos, the perfection :D

Additional info:

The initial version of this report can be found here :
"https://listman.redhat.com/archives/fedora-docs-list/2004-May/msg00031.html"

Thanks to Paul W. Frields for the advice.
Comment 1 Audrey Simons 2004-09-15 00:42:06 EDT
All translation bugs have been fixed.
There are 5 entries that I could not find as they've been removed.

Many thanks for your report.
Do not hesitate to send some more :)

Audrey
Comment 2 Peter van Egdom 2005-07-29 16:49:45 EDT
Hello Eddahbi,

Can this bug be closed?
Comment 3 Eddahbi Karim 2005-07-30 12:14:22 EDT
Since everything seems to have been fixed, I think you can close this bug, yes
Comment 4 Peter van Egdom 2005-07-30 15:51:11 EDT
OK, thanks. Closing bug with resolution "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.